QuickBooks Online
67 tools • OpenAPI spec ↗
GETfind_accounts/accountsSearch for chart-of-accounts entries.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_accounts"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_accounts",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/accounts Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_attachables/attachablesSearch for file attachments.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_attachables"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_attachables",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/attachables Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_bills/billsSearch for bills (vendor invoices).
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_bills"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_bills",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/bills Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_bill_payments/bill-paymentsSearch for bill payments.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_bill_payments"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_bill_payments",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/bill-payments Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_budgets/budgetsSearch for budgets.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_budgets"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_budgets",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/budgets Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_classes/classesSearch for classes (for categorizing transactions).
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_classes"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_classes",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/classes Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_company_infos/company-infosSearch for company information records.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_company_infos"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_company_infos",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/company-infos Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_credit_memos/credit-memosSearch for credit memos.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_credit_memos"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_credit_memos",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/credit-memos Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_customers/customersSearch for customers.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_customers"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_customers",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/customers Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_departments/departmentsSearch for departments.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_departments"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_departments",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/departments Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_deposits/depositsSearch for deposits.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_deposits"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_deposits",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/deposits Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_employees/employeesSearch for employees.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_employees"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_employees",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/employees Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_estimates/estimatesSearch for estimates (quotes).
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_estimates"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_estimates",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/estimates Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_invoices/invoicesSearch for invoices.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_invoices"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_invoices",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/invoices Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_items/itemsSearch for products and services.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_items"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_items",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/items Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_journal_codes/journal-codesSearch for journal codes (France localization).
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_journal_codes"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_journal_codes",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/journal-codes Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_journal_entries/journal-entriesSearch for journal entries.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_journal_entries"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_journal_entries",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/journal-entries Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_payments/paymentsSearch for customer payments.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_payments"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_payments",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/payments Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_payment_methods/payment-methodsSearch for payment methods.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_payment_methods"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_payment_methods",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/payment-methods Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_preferences/preferencesSearch for company preferences.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_preferences"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_preferences",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/preferences Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_purchases/purchasesSearch for purchases.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_purchases"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_purchases",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/purchases Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_purchase_orders/purchase-ordersSearch for purchase orders.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_purchase_orders"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_purchase_orders",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/purchase-orders Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_refund_receipts/refund-receiptsSearch for refund receipts.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_refund_receipts"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_refund_receipts",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/refund-receipts Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_sales_receipts/sales-receiptsSearch for sales receipts.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_sales_receipts"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_sales_receipts",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/sales-receipts Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_tax_agencies/tax-agenciesSearch for tax agencies.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_tax_agencies"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_tax_agencies",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/tax-agencies Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_tax_codes/tax-codesSearch for tax codes.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_tax_codes"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_tax_codes",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/tax-codes Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_tax_rates/tax-ratesSearch for tax rates.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_tax_rates"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_tax_rates",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/tax-rates Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_terms/termsSearch for payment terms.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_terms"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_terms",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/terms Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_time_activities/time-activitiesSearch for time tracking entries.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_time_activities"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_time_activities",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/time-activities Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_vendors/vendorsSearch for vendors.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_vendors"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_vendors",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/vendors Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_vendor_credits/vendor-creditsSearch for vendor credits.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_vendor_credits"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_vendor_credits",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/vendor-credits Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETfind_exchange_rates/exchange-ratesSearch for currency exchange rates.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| where | string | No | SQL-like WHERE clause (e.g. "TotalAmt > '100.00'" or "DisplayName LIKE '%Smith%'") |
| limit | string | No | Maximum number of results to return (default: 1000) |
| offset | string | No | Starting position for results (for pagination) |
| fetchAll | string | No | Set to 'true' to automatically fetch all pages of results |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "find_exchange_rates"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "find_exchange_rates",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/exchange-rates Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_invoice/invoices/:invoiceIdGet an invoice by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| invoiceId | string | Yes | Invoice ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_invoice"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_invoice",
"params": {
"invoiceId": "<invoiceId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/invoices/:invoiceId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_customer/customers/:customerIdGet a customer by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| customerId | string | Yes | Customer ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_customer"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_customer",
"params": {
"customerId": "<customerId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/customers/:customerId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_vendor/vendors/:vendorIdGet a vendor by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| vendorId | string | Yes | Vendor ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_vendor"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_vendor",
"params": {
"vendorId": "<vendorId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/vendors/:vendorId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_payment/payments/:paymentIdGet a payment by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| paymentId | string | Yes | Payment ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_payment"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_payment",
"params": {
"paymentId": "<paymentId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/payments/:paymentId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_bill/bills/:billIdGet a bill by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| billId | string | Yes | Bill ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_bill"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_bill",
"params": {
"billId": "<billId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/bills/:billId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_estimate/estimates/:estimateIdGet an estimate by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| estimateId | string | Yes | Estimate ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_estimate"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_estimate",
"params": {
"estimateId": "<estimateId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/estimates/:estimateId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_account/accounts/:accountIdGet a chart-of-accounts entry by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| accountId | string | Yes | Account ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_account"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_account",
"params": {
"accountId": "<accountId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/accounts/:accountId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_item/items/:itemIdGet a product or service item by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| itemId | string | Yes | Item ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_item"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_item",
"params": {
"itemId": "<itemId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/items/:itemId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_employee/employees/:employeeIdGet an employee by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| employeeId | string | Yes | Employee ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_employee"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_employee",
"params": {
"employeeId": "<employeeId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/employees/:employeeId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_credit_memo/credit-memos/:creditMemoIdGet a credit memo by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| creditMemoId | string | Yes | Credit Memo ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_credit_memo"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_credit_memo",
"params": {
"creditMemoId": "<creditMemoId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/credit-memos/:creditMemoId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_sales_receipt/sales-receipts/:salesReceiptIdGet a sales receipt by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| salesReceiptId | string | Yes | Sales Receipt ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_sales_receipt"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_sales_receipt",
"params": {
"salesReceiptId": "<salesReceiptId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/sales-receipts/:salesReceiptId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_purchase/purchases/:purchaseIdGet a purchase by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| purchaseId | string | Yes | Purchase ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_purchase"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_purchase",
"params": {
"purchaseId": "<purchaseId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/purchases/:purchaseId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_purchase_order/purchase-orders/:purchaseOrderIdGet a purchase order by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| purchaseOrderId | string | Yes | Purchase Order ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_purchase_order"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_purchase_order",
"params": {
"purchaseOrderId": "<purchaseOrderId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/purchase-orders/:purchaseOrderId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_deposit/deposits/:depositIdGet a deposit by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| depositId | string | Yes | Deposit ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_deposit"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_deposit",
"params": {
"depositId": "<depositId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/deposits/:depositId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_journal_entry/journal-entries/:journalEntryIdGet a journal entry by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| journalEntryId | string | Yes | Journal Entry ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_journal_entry"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_journal_entry",
"params": {
"journalEntryId": "<journalEntryId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/journal-entries/:journalEntryId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_time_activity/time-activities/:timeActivityIdGet a time tracking entry by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| timeActivityId | string | Yes | Time Activity ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_time_activity"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_time_activity",
"params": {
"timeActivityId": "<timeActivityId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/time-activities/:timeActivityId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_refund_receipt/refund-receipts/:refundReceiptIdGet a refund receipt by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| refundReceiptId | string | Yes | Refund Receipt ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_refund_receipt"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_refund_receipt",
"params": {
"refundReceiptId": "<refundReceiptId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/refund-receipts/:refundReceiptId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_bill_payment/bill-payments/:billPaymentIdGet a bill payment by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| billPaymentId | string | Yes | Bill Payment ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_bill_payment"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_bill_payment",
"params": {
"billPaymentId": "<billPaymentId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/bill-payments/:billPaymentId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_vendor_credit/vendor-credits/:vendorCreditIdGet a vendor credit by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| vendorCreditId | string | Yes | Vendor Credit ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_vendor_credit"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_vendor_credit",
"params": {
"vendorCreditId": "<vendorCreditId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/vendor-credits/:vendorCreditId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_tax_code/tax-codes/:taxCodeIdGet a tax code by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| taxCodeId | string | Yes | Tax Code ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_tax_code"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_tax_code",
"params": {
"taxCodeId": "<taxCodeId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/tax-codes/:taxCodeId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_tax_rate/tax-rates/:taxRateIdGet a tax rate by ID.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| taxRateId | string | Yes | Tax Rate ID |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_tax_rate"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_tax_rate",
"params": {
"taxRateId": "<taxRateId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/tax-rates/:taxRateId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_company_info/company-infoGet company information.
Request
No input parameters.
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_company_info"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_company_info",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/company-info Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETget_preferences/preferences/:preferencesIdGet company preferences.
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| preferencesId | string | Yes | Preferences ID (usually '1') |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "get_preferences"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "get_preferences",
"params": {
"preferencesId": "<preferencesId>"
}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/preferences/:preferencesId Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETreport_balance_sheet/reports/balance-sheetGenerate a Balance Sheet report showing assets, liabilities, and equity.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| start_date | string | No | Start date for report period (YYYY-MM-DD) |
| end_date | string | No | End date for report period (YYYY-MM-DD) |
| accounting_method | string | No | Accounting method: Cash or Accrual |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "report_balance_sheet"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "report_balance_sheet",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/reports/balance-sheet Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETreport_profit_and_loss/reports/profit-and-lossGenerate a Profit and Loss (Income Statement) report.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| start_date | string | No | Start date for report period (YYYY-MM-DD) |
| end_date | string | No | End date for report period (YYYY-MM-DD) |
| accounting_method | string | No | Accounting method: Cash or Accrual |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "report_profit_and_loss"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "report_profit_and_loss",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/reports/profit-and-loss Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETreport_profit_and_loss_detail/reports/profit-and-loss-detailGenerate a detailed Profit and Loss report with transaction details.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| start_date | string | No | Start date for report period (YYYY-MM-DD) |
| end_date | string | No | End date for report period (YYYY-MM-DD) |
| accounting_method | string | No | Accounting method: Cash or Accrual |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "report_profit_and_loss_detail"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "report_profit_and_loss_detail",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/reports/profit-and-loss-detail Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETreport_trial_balance/reports/trial-balanceGenerate a Trial Balance report.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| start_date | string | No | Start date for report period (YYYY-MM-DD) |
| end_date | string | No | End date for report period (YYYY-MM-DD) |
| accounting_method | string | No | Accounting method: Cash or Accrual |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "report_trial_balance"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "report_trial_balance",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/reports/trial-balance Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETreport_cash_flow/reports/cash-flowGenerate a Statement of Cash Flows report.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| start_date | string | No | Start date for report period (YYYY-MM-DD) |
| end_date | string | No | End date for report period (YYYY-MM-DD) |
| accounting_method | string | No | Accounting method: Cash or Accrual |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "report_cash_flow"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "report_cash_flow",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/reports/cash-flow Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETreport_inventory_valuation_summary/reports/inventory-valuation-summaryGenerate an Inventory Valuation Summary report.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| start_date | string | No | Start date for report period (YYYY-MM-DD) |
| end_date | string | No | End date for report period (YYYY-MM-DD) |
| accounting_method | string | No | Accounting method: Cash or Accrual |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "report_inventory_valuation_summary"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "report_inventory_valuation_summary",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/reports/inventory-valuation-summary Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETreport_customer_sales/reports/customer-salesGenerate a Sales by Customer report.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| start_date | string | No | Start date for report period (YYYY-MM-DD) |
| end_date | string | No | End date for report period (YYYY-MM-DD) |
| accounting_method | string | No | Accounting method: Cash or Accrual |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "report_customer_sales"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "report_customer_sales",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/reports/customer-sales Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETreport_item_sales/reports/item-salesGenerate a Sales by Product/Service report.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| start_date | string | No | Start date for report period (YYYY-MM-DD) |
| end_date | string | No | End date for report period (YYYY-MM-DD) |
| accounting_method | string | No | Accounting method: Cash or Accrual |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "report_item_sales"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "report_item_sales",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/reports/item-sales Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETreport_customer_income/reports/customer-incomeGenerate a Customer Income report.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| start_date | string | No | Start date for report period (YYYY-MM-DD) |
| end_date | string | No | End date for report period (YYYY-MM-DD) |
| accounting_method | string | No | Accounting method: Cash or Accrual |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "report_customer_income"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "report_customer_income",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/reports/customer-income Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETreport_customer_balance/reports/customer-balanceGenerate a Customer Balance Summary report.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| start_date | string | No | Start date for report period (YYYY-MM-DD) |
| end_date | string | No | End date for report period (YYYY-MM-DD) |
| accounting_method | string | No | Accounting method: Cash or Accrual |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "report_customer_balance"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "report_customer_balance",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/reports/customer-balance Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETreport_customer_balance_detail/reports/customer-balance-detailGenerate a Customer Balance Detail report.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| start_date | string | No | Start date for report period (YYYY-MM-DD) |
| end_date | string | No | End date for report period (YYYY-MM-DD) |
| accounting_method | string | No | Accounting method: Cash or Accrual |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "report_customer_balance_detail"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "report_customer_balance_detail",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/reports/customer-balance-detail Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API
GETreport_aged_receivables/reports/aged-receivablesGenerate an Accounts Receivable Aging report.
Request
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| start_date | string | No | Start date for report period (YYYY-MM-DD) |
| end_date | string | No | End date for report period (YYYY-MM-DD) |
| accounting_method | string | No | Accounting method: Cash or Accrual |
Response
Examples
1. Describe method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "describe_method",
"arguments": {
"service": "quickbooks",
"method": "report_aged_receivables"
}
}
}2. Call method
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "call_quickbooks",
"arguments": {
"method": "report_aged_receivables",
"params": {}
}
}
}Request
GET https://app.ferrule.io/api/v1/quickbooks/reports/aged-receivables Authorization: Bearer <your-api-key> Content-Type: application/json
Response
// Raw JSON from upstream API